function BlockApp(t){this.debug=!0,this.eventDelimiter="::",this.attributeNames={appName:"app-name",appSettings:"app-settings",appInit:"app-init",viewName:"view-name",blockName:"block-name",blockUnindexedName:"block-name-unindexed",blockInit:"block-init",blockSettings:"block-settings",blockIndex:"block-index",blockValue:"block-value",blockHide:"block-hide",blockDeploy:"block-deploy",blockGroupName:"block-group",blockGroupIndex:"block-group-index",blockGroupRelativeIndex:"block-group-relative-index",triggerChange:"block-change",triggerClick:"block-click",triggerDoubleClick:"block-double-click",triggerHover:"block-hover",triggerKeydown:"block-write",triggerDrag:"block-drag"},this.eventNames={deploy:this.eventDelimiter+"Deploy",withdraw:this.eventDelimiter+"Withdraw",load:this.eventDelimiter+"Load",change:this.eventDelimiter+"Change",show:this.eventDelimiter+"Show",hide:this.eventDelimiter+"Hide",addClass:this.eventDelimiter+"AddClass",removeClass:this.eventDelimiter+"RemoveClass",setAttributes:this.eventDelimiter+"SetAttributes",removeAttributes:this.eventDelimiter+"RemoveAttributes",genericViewChange:"BlockEvent"+this.eventDelimiter+"ViewChange"},this.eventNativePairs={change:"triggerChange",click:"triggerClick",dblclick:"triggerDoubleClick",mouseover:"triggerHover",keydown:"triggerKeydown",drag:"triggerDrag"},this.settingsNames={transition:"transition",transitionTime:"transition-time"},this.functions=new BlockApp.Functions(this),this.data=new BlockApp.Data(this),this.name=t.getAttribute(this.attributeNames.appName),this.root=t,this.settings={},this.settings.transition="immediate",this.settings.transitionTime=250,this.binds={},this.views={},this.blockGroups={},this.blocks={},this.init()}BlockApp.prototype.notice=function(t){this.debug&&console.log("BlockJS notice: "+t)},BlockApp.prototype.warning=function(t){this.debug&&console.log("BlockJS warning: "+t)},BlockApp.prototype.error=function(t){this.debug&&console.log("BlockJS error: "+t)},BlockApp.prototype.init=function(){this.initSettings(),this.initViews(),this.initBlockGroups(),this.initBlocks(),this.initRouter();var t=this.root.getAttribute(this.attributeNames.appInit);t&&this.deployView(t),this.data.update(!0)},BlockApp.prototype.initViews=function(t,e,i,n){var e="undefined"!=typeof e?e:0,s="undefined"!=typeof t?t.children:this.root.children,i="undefined"!=typeof i?i:!1,n="undefined"!=typeof n?n:"";i&&e++;for(var o,r=0;o=s[r];r++)if(o.hasAttribute(this.attributeNames.viewName)){var a=o.getAttribute(this.attributeNames.viewName);this.initView(o,e,n),this.initViews(o,e,!0,n+a+">")}else this.initViews(o,e,!1,n)},BlockApp.prototype.initBlockGroups=function(){for(var t=this.root.querySelectorAll("["+this.attributeNames.blockGroupName+"]"),e=[],i=t.length;i--;e.unshift(t[i]));for(var n,i=0;n=e[i];i++){var s=n.querySelectorAll("["+this.attributeNames.blockGroupName+"]");if(null!==s)for(var o,r=0;o=s[r];r++){var a=e.indexOf(o);a>-1&&e.splice(a,1)}this.initBlockGroup(n)}},BlockApp.prototype.initBlocks=function(){for(var t,e=this.root.querySelectorAll("["+this.attributeNames.blockName+"]"),i=0;t=e[i];i++)this.initBlock(t)},BlockApp.prototype.initSettings=function(){var t=this.root.getAttribute(this.attributeNames.appSettings);if(null!=t){t=t.split(";");for(var e,i=0;e=t[i];i++){e=e.replace(/^\s\s*/,"").replace(/\s\s*$/,"");var n=e.split(":");if(n.length>1){var s=n[0].replace(/^\s\s*/,"").replace(/\s\s*$/,""),o=n[1].replace(/^\s\s*/,"").replace(/\s\s*$/,"");try{switch(s){case this.settingsNames.transition:this.settings.transition=o;break;case this.settingsNames.transitionTime:this.settings.transitionTime=parseInt(o);break;default:throw"unrecognized"}}catch(r){this.warning("unrecognized setting '"+e+"'")}}}}},BlockApp.prototype.initRouter=function(){var t=this;window.addEventListener("hashchange",function(e){if(!e.skipDeploy){var i=window.location.hash.substring(1);t.deployView(i)}})},BlockApp.prototype.initView=function(t,e,i){var n=this,s=t.getAttribute(this.attributeNames.viewName);t.bjs=new Object,t.bjs.name=s,t.bjs.level="undefined"!=typeof e?e:0,t.bjs.chain="undefined"!=typeof i?i.split(">").filter(Boolean):[],t.bjs.defaultOpacity=window.getComputedStyle(t,null).getPropertyValue("opacity"),t.bjs.defaultPosition=window.getComputedStyle(t,null).getPropertyValue("position"),t.bjs.defaultLeft=window.getComputedStyle(t,null).getPropertyValue("left"),t.bjs.transition=this.settings.transition,t.bjs.transitionTime=this.settings.transitionTime,t.bjs.additionalTriggers={},t.bjs.additionalTriggers.deploy=[],t.bjs.additionalTriggers.withdraw=[],t.bjs.active=!1,t.bjs.bind=function(e,i){n.functions.bind(t,e,i)},t.bjs.deploy=function(){t.bjs.active=!0,n.functions.show(t)},t.bjs.withdraw=function(){t.bjs.active=!1,n.functions.hide(t)},t.bjs.blockjsType="view",this.views[t.bjs.name]=t,this.setupViewBinds(t),t.bjs.withdraw()},BlockApp.prototype.initBlock=function(t,e){var i=this,n=t.getAttribute(this.attributeNames.blockName);t.bjs=new Object,"undefined"!=typeof e&&(t.bjs.group=e),t.bjs.name=n,t.bjs.type=this.findBlockType(t),t.bjs.value=t.getAttribute(this.attributeNames.blockValue),t.bjs.index=t.getAttribute(this.attributeNames.blockIndex),null===typeof t.bjs.index&&(t.bjs.index=-1),t.bjs.unindexedName=t.getAttribute(this.attributeNames.blockUnindexedName),null===typeof t.bjs.unindexedName&&(t.bjs.unindexedName=n),t.bjs.blockjsType="block",t.bjs.defaultOpacity=window.getComputedStyle(t,null).getPropertyValue("opacity"),t.bjs.defaultPosition=window.getComputedStyle(t,null).getPropertyValue("position"),t.bjs.defaultLeft=window.getComputedStyle(t,null).getPropertyValue("left"),t.bjs.defaultListener=this.findBlockListener(t.bjs.type),t.bjs.defaultTrigger=n+this.eventNames.change,t.bjs.binds={},t.bjs.triggers={},t.bjs.transition=this.settings.transition,t.bjs.transitionTime=this.settings.transitionTime,t.bjs.get=this.findGetFunction(t),t.bjs.set=this.findSetFunction(t),t.bjs.bind=function(e,n){i.functions.bind(t,e,n)},t.bjs.show=function(){i.functions.show(t)},t.bjs.hide=function(){i.functions.hide(t)},t.bjs.addClass=function(e){i.functions.addClass(t,e)},t.bjs.removeClass=function(e){i.functions.removeClass(t,e)},t.bjs.setAttributes=function(e){i.functions.setAttributes(t,e)},t.bjs.removeAttributes=function(e){i.functions.removeAttributes(t,e)},t.bjs.inFilter=function(t){return t},t.bjs.outFilter=function(t){return t},this.setupBlockSettings(t),"undefined"!=typeof this.blocks[n]&&this.warning("block name conflict '"+n+"'"),this.blocks[n]=t,this.setupBlockInit(t),this.setupBlockBinds(t),this.setupBlockTriggers(t)},BlockApp.prototype.initBlockGroup=function(t,e){var i=this,n=t.getAttribute(this.attributeNames.blockGroupName);t.bjs=new Object,t.bjs.name=n,t.bjs.unindexedName=null,t.bjs.template=t.innerHTML,t.bjs.group="undefined"!=typeof e?e:null,t.bjs.index=t.getAttribute("block-group-index"),null==t.bjs.index?t.bjs.index=-1:t.bjs.unindexedName=t.bjs.name.replace(new RegExp(t.bjs.index+"$"),""),t.bjs.defaultOpacity=window.getComputedStyle(t,null).getPropertyValue("opacity"),t.bjs.defaultPosition=window.getComputedStyle(t,null).getPropertyValue("position"),t.bjs.defaultLeft=window.getComputedStyle(t,null).getPropertyValue("left"),t.bjs.transition=this.settings.transition,t.bjs.transitionTime=this.settings.transitionTime,t.innerHTML="",t.bjs.destroy=function(e){for(var n,e="undefined"==typeof e?!1:e,s=t.querySelectorAll("["+i.attributeNames.blockName+"]"),o=0;n=s[o];o++)n.bjs.group==t.bjs.name&&i.destroyBlock(n.bjs.name);for(var r,a=t.querySelectorAll("["+i.attributeNames.blockGroupName+"]"),o=0;r=a[o];o++)r.bjs.group==t.bjs.name&&(r.bjs.destroy(!0),r.innerHTML="");1==e&&i.destroyBlockGroup(t.bjs.name)},t.bjs.inFilter=function(t){return t},t.bjs.outFilter=function(t){return t},t.bjs.populate=function(e){for(var n=document.createElement("div"),s="",o=0;e>o;o++){n.innerHTML=t.bjs.template;for(var r,a=n.querySelectorAll("["+i.attributeNames.blockName+"]"),l=0;r=a[l];l++){var u=r.getAttribute(i.attributeNames.blockName),c="";-1!==t.bjs.index&&(c+=t.bjs.index.toString()),e>1&&(u+=o,c+=o),r.setAttribute(i.attributeNames.blockName,u),r.setAttribute(i.attributeNames.blockIndex,o),r.setAttribute(i.attributeNames.blockUnindexedName,u.replace(new RegExp(c+"$"),""))}s+=n.innerHTML}t.innerHTML=s;for(var p=t.querySelectorAll("["+i.attributeNames.blockGroupName+"]"),b=[],l=p.length;l--;b.unshift(p[l]));for(var d,l=0;d=b[l];l++){var f=d.querySelectorAll("["+i.attributeNames.blockGroupName+"]");if(null!==f)for(var h,v=0;h=f[v];v++){var c=b.indexOf(h);c>-1&&b.splice(c,1)}var u=d.getAttribute(i.attributeNames.blockGroupName),c="";-1!==t.bjs.index&&(c+=t.bjs.index.toString()),e>1&&(c+=l),u+=c,d.setAttribute(i.attributeNames.blockGroupName,u),d.setAttribute(i.attributeNames.blockGroupIndex,c),d.setAttribute(i.attributeNames.blockGroupRelativeIndex,l),i.initBlockGroup(d,t.bjs.name)}for(var r,a=t.querySelectorAll("["+i.attributeNames.blockName+"]"),o=0;r=a[o];o++)i.initBlock(r,t.bjs.name)},t.bjs.set=function(e){if(t.bjs.destroy(),"[object Object]"===Object.prototype.toString.call(e))var e=[e];if("[object Array]"===Object.prototype.toString.call(e)){t.bjs.populate(e.length);for(var n,s=0;n=e[s];s++)if("object"==typeof n)for(var o in n){var r=n[o],a=o;-1!==t.bjs.index&&(a+=t.bjs.index),e.length>1&&(a+=s),i.fire(a+i.eventNames.load,r)}}},t.bjs.get=function(){for(var e,n=[],s=-1,o=t.querySelectorAll("["+i.attributeNames.blockGroupName+"]"),r=0;e=o[r];r++)if(e.bjs.group==t.bjs.name){var s=parseInt(e.getAttribute(i.attributeNames.blockGroupRelativeIndex));"undefined"==typeof n[s]&&(n[s]={}),null!==e.bjs.unindexedName&&(n[s][e.bjs.unindexedName]=e.bjs.get())}for(var a,l=t.querySelectorAll("["+i.attributeNames.blockName+"]"),r=0;a=l[r];r++)if(a.bjs.group==t.bjs.name){var s=parseInt(a.getAttribute(i.attributeNames.blockIndex));"undefined"==typeof n[s]&&(n[s]={}),n[s][a.bjs.unindexedName]=a.bjs.get()}return t.bjs.outFilter(n)},t.bjs.blockjsType="blockGroup",this.setupBlockGroupBinds(t),this.blockGroups[n]=t},BlockApp.prototype.setupViewBinds=function(t){var e=this,i=t.bjs.name;this.createBinds(i+this.eventNames.show,function(t){e.deployView(i)}),this.createBinds(i+this.eventNames.hide,function(n){t.bjs.withdraw(),e.fire(i+e.eventNames.withdraw,i)})},BlockApp.prototype.setupBlockGroupBinds=function(t){var e=t.bjs.name;this.createBinds(e+this.eventNames.load,function(e){"undefined"!=typeof e.value&&t.bjs.set(t.bjs.inFilter(e.value))})},BlockApp.prototype.setupBlockSettings=function(t){var e=t.getAttribute(this.attributeNames.blockSettings);if(null!=e){e=e.split(";");for(var i,n=0;i=e[n];n++){var s=i.split(":");if(s.length>1){var o=s[0].trim(),r=s[1].trim();switch(o){case this.settingsNames.transition:t.bjs.transition=r;case this.settingsNames.transitionTime:t.bjs.transitionTime=parseInt(r)}}}}},BlockApp.prototype.setupBlockInit=function(t){var e=this,i=t.getAttribute(this.attributeNames.blockInit);if(null!=i){i=i.split(" ");for(var n,s=0;n=i[s];s++){switch(n){case"hide":t.bjs.hide();break;case"show":t.bjs.show()}"undefined"!=typeof e.views[n]&&(e.views[n].bjs.additionalTriggers.deploy.push(t.bjs.name+e.eventNames.show),e.views[n].bjs.additionalTriggers.withdraw.push(t.bjs.name+e.eventNames.hide))}}},BlockApp.prototype.setupBlockBinds=function(t){var e=t.bjs.name;this.createBinds(e+this.eventNames.load,function(e){"undefined"!=typeof e.value&&t.bjs.set(t.bjs.inFilter(e.value))}),this.createBinds(e+this.eventNames.addClass,function(e){"undefined"!=typeof e.value&&t.bjs.addClass(e.value)}),this.createBinds(e+this.eventNames.removeClass,function(e){"undefined"!=typeof e.value&&t.bjs.addClass(e.value)}),this.createBinds(e+this.eventNames.setAttributes,function(e){"undefined"!=typeof e.value&&t.bjs.setAttributes(e.value)}),this.createBinds(e+this.eventNames.removeAttributes,function(e){"undefined"!=typeof e.value&&t.bjs.removeAttributes(e.value)}),this.createBinds(e+this.eventNames.show,function(e){t.bjs.show()}),this.createBinds(e+this.eventNames.hide,function(e){t.bjs.hide()})},BlockApp.prototype.setupBlockTriggers=function(t){var e=t.bjs.name+this.eventNames.change,i=t.bjs.defaultListener;for(var n in this.eventNativePairs){var s=this.eventNativePairs[n],o=this.attributeNames[s],r=t.getAttribute(o);null!==r&&(r=r.match(/(?:[^\s\(]+|\([^\)]*\))+/g),t.bjs.triggers[n]=r,i!==n&&this.createTriggers(t,n,null,r))}"undefined"!=typeof t.bjs.triggers[i]?t.bjs.triggers[i].push(e):t.bjs.triggers[i]=[e],this.createTriggers(t,i,null,t.bjs.triggers[i])},BlockApp.prototype.destroyBlockGroup=function(t){if("undefined"!=typeof this.blockGroups[t]){var e=this.root.querySelector("["+this.attributeNames.blockGroupName+"='"+t+"']");if(null==e)blockGroups=this.blockGroups[t];else for(var i in e.bjs.binds)this.removeTriggers(e,i);for(var n in this.binds)-1!==n.indexOf(t+_this.eventDelimiter)&&this.removeBinds(n);for(var i in this.blockGroups[t].bjs.binds)this.removeTriggers(e,i);delete this.blockGroups[t]}},BlockApp.prototype.destroyBlock=function(t){if("undefined"!=typeof this.blocks[t]){var e=this.root.querySelector("["+this.attributeNames.blockName+"='"+t+"']");if(null==e)e=this.blocks[t];else for(var i in e.bjs.binds)this.removeTriggers(e,i);for(var n in this.binds)-1!==n.indexOf(t+_this.eventDelimiter)&&this.removeBinds(n);for(var i in this.blocks[t].bjs.binds)this.removeTriggers(this.blocks[t],i);delete this.blocks[t]}},BlockApp.prototype.findBlockType=function(t){var e=t.nodeName.toLowerCase();return["div","span","label","h1","h2","h3","h4","h5","p","em","li"].indexOf(e)>-1?"static":["input","textarea"].indexOf(e)>-1?"input":["button","a"].indexOf(e)>-1?"control":["img"].indexOf(e)>-1?"media":this.node.classList.contains("slider")?"slider":void 0},BlockApp.prototype.findBlockListener=function(t){return"control"==t?"click":"slider"==t?"slide":"change"},BlockApp.prototype.findEventAttributes=function(t){var e=t.bjs.outFilter(t.bjs.get()),i=t.bjs.name,n=t.bjs.index;return{value:e,name:i,index:n}},BlockApp.prototype.findGetFunction=function(t){switch(t.bjs.type){case"static":return function(){return t.innerHTML};case"control":return function(){return t.bjs.value};case"input":return function(){return t.value};case"media":return function(){return t.src};case"slider":return function(){return t.val()};default:return function(){return null}}},BlockApp.prototype.findSetFunction=function(t){switch(t.bjs.type){case"static":return function(e){t.innerHTML=e};case"control":return function(e){t.bjs.value=e};case"input":return function(e){t.value=e};case"media":return function(e){t.src=e};case"slider":return function(e){t.val()=e};default:return function(t){}}},BlockApp.prototype.on=function(t,e){this.createBinds(t,e)},BlockApp.prototype.fire=function(t,e,i){this.trigger(t,{value:e},i)},BlockApp.prototype.createBinds=function(t,e){this.binds[t]=function(t){if("array"==typeof e)for(var i,n=0;i=e[n];n++)"function"==typeof i&&i(t);else"function"==typeof e&&e(t)},this.root.addEventListener(t,this.binds[t])},BlockApp.prototype.removeBinds=function(t){this.root.removeEventListener(t,this.binds[t],!1),delete this.binds[t]},BlockApp.prototype.trigger=function(t,e,i){try{var n=new Event(t)}catch(s){var n=document.createEvent("CustomEvent");n.initCustomEvent(t,!0,!0,!0)}if("object"==typeof e)for(var o in e)n[o]=e[o];this.root.dispatchEvent(n),"function"==typeof i&&i()},BlockApp.prototype.createTriggers=function(t,e,i,n){var s=this,o=function(e){if("object"==typeof i&&null!==i&&("undefined"!=typeof i.preventDefault&&1==i.preventDefault&&e.preventDefault(),"undefined"!=typeof i.stopPropagation&&1==i.stopPropagation&&e.stopPropagation()),"[object Array]"===Object.prototype.toString.call(n))for(var o,r=0;o=n[r];r++)if("string"==typeof o){var a={};a.name=t.bjs.name,a.index="undefined"!=typeof t.bjs.index?t.bjs.index:null;var l=o.indexOf("("),u=o.indexOf(")");if(-1!==l&&-1!==u){a.value=o.slice(l+1,u);var o=o.slice(0,l)}else"block"==t.bjs.blockjsType?a.value=t.bjs.outFilter(t.bjs.get()):a.value=null;s.trigger(o,a)}};t.bjs.bind(e,o)},BlockApp.prototype.removeTriggers=function(t,e){t.removeEventListener(e,t.bjs.binds[e])},BlockApp.prototype.deployView=function(t){if("undefined"==typeof this.views[t])return void this.error("unrecognized view '"+t+"'");for(var e in this.views){var i=this.views[e];if(e===t||-1!==this.views[t].bjs.chain.indexOf(e)){0==i.bjs.active&&i.bjs.deploy();for(var n,s=0;n=i.bjs.additionalTriggers.deploy[s];s++)this.fire(n,null)}else{i.bjs.withdraw();for(var n,s=0;n=i.bjs.additionalTriggers.withdraw[s];s++)this.fire(n,null)}}window.location.hash=this.views[t].bjs.name,this.fire(this.eventNames.genericViewChange,t)},BlockApp.prototype.configureSelf=function(t){if("object"==typeof t){for(var e in t)"undefined"!=typeof this[e]&&(this.settings[e]=t[e]);if("undefined"!=typeof t.updateViews&&1==t.updateViews)for(var i in this.views)for(var e in t)"undefined"!=typeof this.views[i].bjs[e]&&(this.views[i].bjs[e]=t[e]);if("undefined"!=typeof t.updateBlocks&&1==t.updateBlocks)for(var n in this.blocks)for(var e in t)"undefined"!=typeof this.blocks[n].bjs[e]&&(this.blocks[n].bjs[e]=t[e])}},BlockApp.prototype.configure=function(t,e){if("object"==typeof t)return this.configureSelf(t);if("undefined"!=typeof this.views[t])var t=this.views[t];else{if("undefined"==typeof this.blocks[t])return;var t=this.blocks[t]}for(var i in e)"undefined"!=typeof t.bjs[i]&&(t.bjs[i]=e[i])},BlockApp.Functions=function(t){this.parent=t,this.easingFunctions={linear:function(t){return t},quadratic:function(t){return Math.pow(t,2)},swing:function(t){return.5-Math.cos(t*Math.PI)/2},circ:function(t){return 1-Math.sin(Math.acos(t))},back:function(t,e){return Math.pow(t,2)*((e+1)*t-e)},bounce:function(t){for(var e=0,i=1;1;e+=i,i/=2)if(t>=(7-4*e)/11)return-Math.pow((11-6*e-11*t)/4,2)+Math.pow(i,2)},elastic:function(t,e){return Math.pow(2,10*(t-1))*Math.cos(20*Math.PI*e/3*t)}}},BlockApp.Functions.prototype.bind=function(t,e,i){t.bjs.binds[e]=i,t.addEventListener(e,function(t){"function"==typeof i&&i(t)})},BlockApp.Functions.prototype.show=function(t){"fade"===t.bjs.transition?this.fadeIn(t,{duration:t.bjs.transitionTime}):(t.style.opacity=t.bjs.defaultOpacity,t.style.position=t.bjs.defaultPosition,t.style.left=t.bjs.defaultLeft)},BlockApp.Functions.prototype.hide=function(t){"fade"===t.bjs.transition?this.fadeOut(t,{duration:t.bjs.transitionTime}):(t.style.opacity=0,t.style.position="absolute",t.style.left="-99999px")},BlockApp.Functions.prototype.addClass=function(t,e){for(var i,n=e.split(" "),s=0;i=n[s];s++)t.classList.contains(i)!==!0&&t.classList.add(i)},BlockApp.Functions.prototype.removeClass=function(t,e){for(var i,n=e.split(" "),s=0;i=n[s];s++)t.classList.contains(i)&&t.classList.remove(i)},BlockApp.Functions.prototype.setAttributes=function(t,e){if("object"==typeof e)for(var i in e)t.setAttribute(i,e[i])},BlockApp.Functions.prototype.removeAttributes=function(t,e){if("array"==typeof e||"object"==typeof e)for(var i,n=0;i=e[n];n++)t.removeAttribute(i);else"string"==typeof e&&t.removeAttribute(e)},BlockApp.Functions.prototype.animate=function(t){var e=new Date,i=setInterval(function(){var n=new Date-e,s=n/t.duration;s>1&&(s=1),t.progress=s;var o=t.delta(s);t.step(o),1==s&&(clearInterval(i),"function"==typeof t.complete&&t.complete())},t.delay||10)},BlockApp.Functions.prototype.fadeOut=function(t,e){var i=this,n=1;this.animate({duration:e.duration,complete:e.complete,delta:function(t){return t=this.progress,i.easingFunctions.swing(t)},step:function(e){t.style.opacity=n-e,0==t.style.opacity&&(t.style.position="absolute",t.style.left="-9999px")}})},BlockApp.Functions.prototype.fadeIn=function(t,e){var i=this;this.animate({duration:e.duration,complete:e.complete,delta:function(t){return t=this.progress,i.easingFunctions.swing(t)},step:function(e){t.style.opacity=1-t.bjs.defaultOpacity+e,t.style.opacity>=t.bjs.defaultOpacity&&(t.style.position=t.bjs.defaultPosition,t.style.left=t.bjs.defaultLeft)}})},BlockApp.Data=function(t){this.parent=t,this.binds={},this.update(!0)},BlockApp.Data.prototype.update=function(t){var e=this;for(var i in this.parent.blocks){var n=this.parent.blocks[i];if(this[i]=n.bjs.get(),"undefined"!=typeof t&&1==t&&"function"!=typeof e.binds[n.bjs.name]){var s=function(t){e[t.name]=t.value};e.parent.root.addEventListener(n.bjs.defaultTrigger,s),e.binds[n.bjs.name]=s}}},BlockApp.Data.prototype.destroy=function(){var t=this;for(var e in this.binds)t.parent.root.removeEventListener(e,this.binds[e])};